%define name gthumb
%define version 2.12.3
%define libname %mklibname %name %version
%define develname %{name}-devel 
%define api 2.0
%define api2 2.12


Summary:	An image viewer and browser for GNOME
Name:		%name
Version: 	%version
Release: 	%mkrel 1
License:	GPL
URL:		http://gthumb.sourceforge.net/
Group:		Graphics
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
BuildRequires:	gtk+2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libexiv-devel
BuildRequires:	libsoup-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-devel >= 0.0.8
BuildRequires:	tiff-devel
BuildRequires:	unique-devel >= 1.1.2
BuildRequires:	brasero-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:  intltool
BuildRequires:	gnome-common
Requires: jpeg-progs
Requires(post): scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils
Obsoletes:  %name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%package -n %{develname}
Summary:	Header files and static library for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}


%description -n %{develname}
Header files and static library for %{name}.


%prep
%setup -q
%configure2_5x --disable-scrollkeeper --enable-libopenraw

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}-%{api} --with-gnome --all-name


# remove unpackaged files 
rm -rf $RPM_BUILD_ROOT%{_libdir}/gthumb/*/*.{la,a}


%post
/sbin/ldconfig

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
/sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/applications/*
%{_datadir}/gthumb
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/aclocal/gthumb.m4

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/gthumb-2.12/%{name}/*.h
%{_includedir}/gthumb-2.12/%{name}.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 14 2011 Texstar <texstar at gmail.com> 2.12.3-1pclos2011
- 2.12.3

* Mon Jan 18 2011 Texstar <texstar at gmail.com> 2.12.2-1pclos2011
- 2.12.2

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 2.12.1-1pclos2010
- 2.12.1

* Tue Sep 28 2010 siamer <siamer@wp.pl> 2.12.0-1pclos2010
- new version (stable)

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 2.11.6-1pclos2010
- 2.11.6

* Thu Aug 05 2010 Texstar <texstar at gmail.com> 2.11.3-3pclos2010
- rebuild for libjpeg8

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 2.11.3-2pclos2010
- rebuild for libexiv2_9

* Wed Apr 14 2010 slick50 <lxgator@gmail.com> 2.11.3-1pclos2010
- New version 2.11.3

* Fri Mar 26 2010 slick50 <lxgator@gmail.com> 2.11.2.1-1pclos2010
- New version 2.11.2.1

* Tue Oct 20 2009 slick50 <lxgator@gmail.com> 2.10.11-1pclos2010
- New version 2.10.11

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.10.10-1pclos2007
- New version 2.10.10

* Thu Jan 10 2008 KDulcimer <kdulcimer@gmail.com> 2.10.8-1tinyme2008
- 2.10.8

* Sat Nov 30 2007 Texstar <texstar@gmail.com> 2.10.7-1pclos2007
- 2.10.7

* Wed Aug 29 2007 KDulcimer <kdulcimer@gmail.com> 2.10.6pclos_tinyme2007
- update to 2.10.6
- BuildRequires: gnome-doc-utils
- BuildRequires: libxslt-proc
- Commented out a few package entries
- Added %{_libdir}/libgthumb.so package entry
- cleanup specfile (texstar)
- move ldconfig into post and postun scripts
- remove old menu file

* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 2.7.8-5pclos2007
- Build for PCLinuxOS 2007

